<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$logs = check($_POST['logs']);
$pars = check($_POST['pars']);
$pars2 = check($_POST['pars2']);
$meil = strtolower(check($_POST['meil']));
$provkod = (int)$_POST['provkod'];

if (strlen($logs)>20 || strlen($pars)>20){ header ("Location: registration.php?isset=biginfo&".SID);  exit;}
if (strlen($logs)<3 || strlen($pars)<3){ header ("Location: registration.php?isset=smallinfo&".SID);  exit;}	
if (eregi("[^a-z0-9-]",$logs)){ header ("Location: registration.php?isset=noreg&".SID);  exit;}
if (eregi("[^a-z0-9-]",$pars)){ header ("Location: registration.php?isset=noreg&".SID);  exit;}
if ($_SESSION['reguser']!=""){header ("Location: registration.php?isset=antirega&".SID); exit;}
if ($pars!=$pars2){ header ("Location: registration.php?isset=nopassword&".SID);  exit;}

echo '<img src="../images/img/partners.gif" alt=""> <b>Результат регистрации</b><br><br>';

if ($logs!="" && $pars!="" && $meil!="" && $provkod!="") {

//------------------------------ НОВАЯ ФУНКЦИЯ КЕШИРОВАНИЯ ------------------------------//
$filtime=filemtime(BASEDIR."local/datatmp/reguser.dat");
$user_count=counter_string(BASEDIR."local/datatmp/reguser.dat");

$filtime=$filtime+(3600*$config_regusercache);

if($sitetime>$filtime || $user_count<50){ 

foreach (glob(BASEDIR."local/profil/*.prof") as $filename) {
$tex = file($filename);
$data = explode(":||:",$tex[0]);

$array_users[]='|'.strtolower($data[0]).'|'.$data[4].'|'.rus_utf_tolower($data[65]).'|'; 
}

$dat_top=implode("\r\n",$array_users);

if($dat_top!=""){
$fp = fopen(BASEDIR."local/datatmp/reguser.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$dat_top\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666); 
chmod (BASEDIR."local/datatmp/reguser.dat", 0666); 
}
}

//----------------------------------------------//

$filem = file(BASEDIR."local/blackmail.dat","a+");
foreach($filem as $valuem){
$datam=explode("|",$valuem);
$arraymail[]=$datam[1];
}

$filel = file(BASEDIR."local/blacklogin.dat","a+");
foreach($filel as $valuel){
$datal=explode("|",$valuel);
$arraylogin[]=$datal[1];
}

//----------------------------------------------//
$regfile=file(BASEDIR."local/datatmp/reguser.dat");
foreach($regfile as $regvalue){
$data = explode("|",$regvalue);
$reguserlogin[]=$data[1];
$regusermail[]=$data[2];
$regusernick[]=$data[3];
}

if ($logs!=$pars){
if (!ctype_digit($pars)){
if(!in_array($logs,$arraylogin)){
if(!in_array($meil,$arraymail)){
if(!in_array(strtolower($logs),$reguserlogin)){	
if(!in_array(strtolower($logs),$regusernick)){	
if(!in_array($meil,$regusermail)){
if (substr_count($logs,'-')<3){
if (preg_match('#^([a-z0-9_\-\.])+\@([a-z0-9_\-\.])+(\.([a-z0-9])+)+$#',$meil)){
if (!file_exists(BASEDIR."local/profil/$logs.prof")) {
if ($_SESSION['press_kod']==$provkod){

$_SESSION['reguser'] = 1;
$_SESSION['press_kod'] = "";
unset($_SESSION['press_kod']);

if($config_regkeys=="1"){ $registration_key = xoft_encode(($sitetime + 86400),$config_keypass); }	

$text=$logs.':||:'.md5($pars).':||::||::||:'.$meil.':||::||:'.$sitetime.':||:107:||:0:||:0:||:1:||:0:||:0:||:'.$brow.':||:'.$ip.':||:N:||::||::||::||::||:'.$config_themes.':||:'.$config_bookpost.':||:'.$config_postnews.':||:'.$config_forumpost.':||:'.$config_forumtem.':||:'.$config_userlist.':||:'.$config_chatpost.':||:'.$config_chatrew.':||:'.$config_boardspost.':||::||:'.$config_timeclocks.':||:'.$config_showtime.':||:'.$config_privatpost.':||:0:||::||::||:0:||:0:||:0:||::||::||:100:||:1:||:images/avators/noavatar.gif:||:'.$sitetime.':||:1:||:'.$config_regkeys.':||:'.$registration_key.':||:0:||:0:||:0:||:0:||::||::||:0:||:0:||:0:||:0:||:0:||:50:||::||::||::||::||:0:||::||:0:||::||::||::||::||::||::||:0:||:0:||::||:';

if ($text!=""){
$fp=fopen(BASEDIR."local/profil/$logs.prof","w");  
flock($fp,LOCK_EX);                                                     
fputs($fp,$text);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
chmod ($fp, 0666);
chmod (BASEDIR."local/profil/$logs.prof", 0666); 
}

$mess = 'Добро пожаловать, '.$logs.'! Теперь вы зарегистрированный пользователь сайта, сохраните ваш пароль и логин в надежном месте, они вам еще пригодится. Надеемся вам понравится на нашем портале!<br>Перед посещением сайта рекомендуем вам ознакомиться с [url='.$config_home.'/pages/pravila.php?'.SID.']правилами сайта[/url]<br>Желаем приятно провести время. С уважением администрация сайта';
$mess=base64_encode($mess);

$textpriv=$config_nikname.'|'.$mess.'|'.$sitetime.'|';

if($textpriv!=""){
$fp=fopen(BASEDIR."local/privat/$logs.$config_priv","w");  
flock($fp,LOCK_EX);                                                     
fputs($fp,"$textpriv\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
chmod ($fp, 0666);
chmod (BASEDIR."local/privat/$logs.$config_priv", 0666);
}

$textreg='|'.strtolower($logs).'|'.$meil.'||'; 

if($textreg!=""){
$fp=fopen(BASEDIR."local/datatmp/reguser.dat","a+");  
flock($fp,LOCK_EX);                                                     
fputs($fp,"$textreg\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
}

/*
0 - Логин
1 - Пароль
2 - Откуда
3 - Информация о пользователе
4 - E-mail
5 - Адерс сайта
6 - Время регистрации
7 - Уровень доступа (101-суперадмин,102-админ,103-Cтарший модер,105-модер,107-юзер) 
8 - Написано сообщений в форуме
9 - Написано сообщений в гостевой
10 - Новые письма в привате
11 - Всего посещений
12 - Написано сообщений в чате
13 - Модель браузера
14 - IP-адрес
15 - Пол
16 - Рост (см.)
17 - Вес (кг.)
18 - День рождения
19 - Номер ICQ
20 - Тема/скин
21 - Сообщений на страницу в Гостевой
22 - Новостей на страницу
23 - Сообщений на страницу в Форуме
24 - Тем на странице в форуме
25 - Человек в Юзерлисте
26 - Сообщений на страницу в чате
27 - Автообновление в чате (сек.)
28 - Объявлений на страницу
29 - Имя пользователя
30 - Временной сдвиг
31 - Показывать время и дату на главной
32 - Сообщений на страницу в привате
33 - Написано комментариев
34 - Подписка на новости
35 - Пароль и время для восстановления пароля
36 - Количество баллов
37 - Забанен или нет
38 - Время бана 
39 - Причина бана
40 - Особый статус
41 - Золотые монеты
42 - Включенная графика
43 - Встроенный аватар
44 - Время последнего посещения
45 - Включенные аватары
46 - Требуется ли подтверждение регистрации 
47 - Ключ для подтверждение регистрации
48 - Время для возможности дать отзыв
49 - Авторитет пользователя
50 - Положительные отзывы 
51 - Отрицательные отзывы 
52 - Время последнего бана 
53 - Время взятия кредита
54 - Сумма кредита
55 - Включение персонажа
56 - Здоровье персонажа
57 - Выносливость персонажа
58 - Сила персонажа
59 - Предел выносливости
60 -                                     Оставлено для Предела силы
61 - Время пополнения здоровья
62 - Время пополнения выносливости
63 - Логин отправившего в бан
64 - Общее число банов
65 - Русский ник 
66 - Включить привязку к ip+браузер 
67 - Легкое оружие
68 - Пистолет
69 - Тяжелое оружие
70 - Граната
71 - Амуниция
72 - Фото в анкете
73 - Объяснение бана
74 - Скрывать местонахождние
75 - Время для изменения ника
*/

//------------------------- Уведомление о регистрации на E-mail --------------------------//
$regmail = "Добро пожаловать, ".$logs." \nТеперь вы зарегистрированный пользователь сайта ".$config_home." , сохраните ваш пароль и логин в надежном месте, он вам еще пригодится. \nВаши данные для входа на на сайт \nЛогин: ".$logs." \nПароль: ".$pars." \n\nСсылка для автоматического входа на сайт: \n".$config_home."/input.php?login=".$logs."&pass=".$pars."&cookietrue=1 \nНадеемся вам понравится на нашем портале! \nС уважением администрация сайта \nЕсли это письмо попало к вам по ошибке, то просто проигнорируйте его";

if($config_regkeys=="1"){
$regmail .="\n\nВнимание! \nДля подтверждения регистрации необходимо в течении 24 часов ввести мастер-ключ \nВаш мастер-ключ: ".$registration_key." \nВведите его после авторизации на сайте \nИли перейдите по прямой ссылке: \n\n".$config_home."/pages/key.php?action=inkey&key=".$registration_key." \n\nЕсли в течении 24 часов вы не подтвердите регистрацию, ваш профиль будет автоматически удален";
}

addmail($meil, "Регистрация на сайте ".$config_title, $regmail);

//----------------------------------------------------------------------------------------//

echo 'Вы удачно зарегистрированы!<br><br>';

echo 'Логин: <b>'.$logs.'</b><br>';
echo 'Пароль: <b>'.$pars.'</b><br>';
echo 'E-mail: <b>'.$meil.'</b><br><br>';
echo 'Теперь вы можете войти<br>';
echo '<br><img src="../images/img/reload.gif" alt=""> ';
echo '<b><a href="'.BASEDIR.'input.php?login='.$logs.'&amp;pass='.$pars.'&amp;cookietrue=1&amp;'.SID.'">Вход на сайт</a></b><br><br>';

if($config_regkeys=="1"){
echo '<b><font color="#FF0000">Внимание после входа на сайт, вам будет необходимо ввести мастер-ключ для подтверждения регистрации<br>';
echo 'Мастер-ключ был выслан вам на почтовый ящик: '.$meil.'</font></b><br><br>'; }


echo'Вы можете сделать закладку для быстрого входа:<br>';
echo'<font color="#FF0000">'.$config_home.'/input.php?login='.$logs.'&amp;pass='.$pars.'</font><br><br>';
echo'Cкопировать: <br><input name="avtovhod" size="60" value="'.$config_home.'/input.php?login='.$logs.'&amp;pass='.$pars.'"/><br>';

echo'<br>Если у вас включены cookies, то делать такую закладку не обязательно';

}else{ echo'<b>Проверочное число не совпало с данными на картинке!</b>';}
}else{ echo'<b>Пользователь с таким логином уже зарегестрирован</b>';}
}else{ echo'<b>Вы ввели неверный адрес e-mail, необходим формат name@site.domen</b>';}
}else{ echo'<b>Запрещено использовать слишком много знаков тире</b>';}
}else{ echo'<b>E-mail указанный вами уже используется в системе, введите другой адрес</b>';}
}else{ echo'<b>Выбранный вами логин используется кем-то в качестве ника!</b>';}
}else{ echo'<b>Вы не можете регистрироваться под данным логином так как он уже занят</b>';}
}else{ echo'<b>Ошибка регистрации! Указанный вами адрес e-mail занесен в черный список</b>';}
}else{ echo'<b>Ошибка регистрации! Выбранный вами логин занесен в черный список</b>';}
}else{ echo'<b>Запрещен пароль состоящий только из цифр, используйте буквы</b>';}
}else{ echo'<b>Ошибка! Пароль и логин должны отличаться друг от друга</b>';}
}else{ echo'<b>Вы не ввели важные данные необходимие для регистрации</b>';}

echo'<br><br><img src="../images/img/back.gif" alt=""> <a href="registration.php?'.SID.'">Вернуться</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>